Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/schedule_update
Schema's

Schema bijwerken

Wijzig tijd, bestemming, herhaling of status.

PATCH/schedules/{id}schedules:write

Verzoek

idstring · pathResource-ID.verplicht
typestring · bodyType: aanbieding of tekst.optioneel
atstring · bodyISO 8601 datum en tijd.optioneel
segment_idstring · bodyDoelsegment.optioneel
group_idstring · bodySpecifieke groep.optioneel
offer_idstring · bodyGeplande aanbieding.optioneel
textstring · bodyTekst voor tekstplanning.optioneel
imagestring · bodyOptionele afbeelding.optioneel
recurrencestring · bodyHerhalingsregel.optioneel
activeboolean · bodyActiveert planning.optioneel

Voorbeeld

curl
curl -X PATCH 'https://achadu.com/api/v1/schedules/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "type": "string",
  "at": "2026-09-01T15:00:00Z",
  "segment_id": "string"
}'

Antwoord

200Operatie voltooid
4xxFout met code, bericht en request_id